## mbarcode-core 1.0.2-0

=== Makefile ===
#############################################################################
# Makefile for building: mbarcode
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Aug 17 14:38:46 2010
# Project:  mbarcode-qt.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile mbarcode-qt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lgstinterfaces-0.10 -ldmtx -L/usr/lib -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -ldbus-glib-1 -ldbus-1 -pthread -lgstapp-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lzbar -lQtMaemo5 -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtOpenGL -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = barcodedetector.cpp \
		main.cpp \
		maemobarcodewindow.cpp \
		resultswindow.cpp \
		videowidget.cpp \
		dmtxdecoderthread.cpp \
		pluginintermediate.cpp \
		zbardecoderthread.cpp \
		settingswindow.cpp \
		pluginsettings.cpp \
		recentdialog.cpp moc_barcodedetector.cpp \
		moc_maemobarcodewindow.cpp \
		moc_resultswindow.cpp \
		moc_videowidget.cpp \
		moc_pluginintermediate.cpp \
		moc_settingswindow.cpp \
		moc_pluginsettings.cpp \
		moc_recentdialog.cpp \
		qrc_resources.cpp
OBJECTS       = barcodedetector.o \
		main.o \
		maemobarcodewindow.o \
		resultswindow.o \
		videowidget.o \
		dmtxdecoderthread.o \
		pluginintermediate.o \
		zbardecoderthread.o \
		settingswindow.o \
		pluginsettings.o \
		recentdialog.o \
		moc_barcodedetector.o \
		moc_maemobarcodewindow.o \
		moc_resultswindow.o \
		moc_videowidget.o \
		moc_pluginintermediate.o \
		moc_settingswindow.o \
		moc_pluginsettings.o \
		moc_recentdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mbarcode-qt.pro
QMAKE_TARGET  = mbarcode
DESTDIR       = 
TARGET        = mbarcode

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_resultswindow.h ui_settingswindow.h ui_pluginsettings.h ui_recentdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mbarcode-qt.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \

## mbarcode-core 1.0.0-4

=== debian/changelog ===
mbarcode-core (1.0.0-4) unstable; urgency=low

  * Changed packaging (now with metapackages!)

 -- Svenn-Arne Dragly <s@dragly.com>  Sun, 24 Apr 2011 00:26:00 +0200

mbarcode-core (1.0.0-3) unstable; urgency=low

  * Fix problem of long barcode text content expanding the history window to unmanageable size
    Resolves bug #11919

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 28 Feb 2011 09:26:00 +0000

mbarcode-core (1.0.0-2) unstable; urgency=low

  * Fix problem whereby plugins that respond too quickly are not shown as the results
    window list is cleared after their signal is received - move list clear to hide event.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 1 Feb 2011 00:36:00 +0000

mbarcode-core (1.0.0-1) unstable; urgency=low

  * Fix lack of autofocus on scan start introduced in move to 0.3.0-3, sorry!
  * Fix DBus path

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 31 Jan 2011 23:52:00 +0000

mbarcode-core (1.0.0-0) unstable; urgency=low

  * Version bump. Pushing to Extras!

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 28 Jan 2011 09:28:00 +0100

mbarcode-core (0.3.1-0) unstable; urgency=low

  * Changed plugins API.
  * Code enhancements.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 12 Jan 2011 01:00:00 +0100

mbarcode-core (0.3.0-3) unstable; urgency=low

  * Prevent autofocus occuring (e.g. if continuous focus is selected) unless we're scanning.
  * Prevent scanning the same barcode twice when using "auto run first plugin" and continuous scanning
  * Add keyboard shortcut (Enter) to refocus (e.g. while continuous scanning enabled)

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sun, 2 Jan 2011 12:46:00 +0000

mbarcode-core (0.3.0-2) unstable; urgency=low

  * Remove some unneeded debugging output
  * Fix problem wherein a plugin that was disabled after showing the results window once would still appear
  * Fix fact that value of "auto run first plugin" was not read from settings between invocations
  * Adjust wording of "auto run first plugin" button in settings menu
  * Fix problem of non-responsive results window if "auto run first plugin" is selected.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sun, 2 Jan 2011 12:30:00 +0000

mbarcode-core (0.3.0-1) unstable; urgency=low

  * Enable some debugging output to help with plugin loading problem diagnosis

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri, 31 Dec 2010 20:46:00 +0000

mbarcode-core (0.3.0-0) unstable; urgency=low

  * Enable plugin enable/disable
  * Allow single plugin to be automatially run if all others disabled via menu option

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 18 Dec 2010 17:39:00 +0000

mbarcode-core (0.2.6-3) unstable; urgency=low

  * Add checkboxes and icons to the plugin setting page in preparation for implementing
    plugin enable/disable and selection via priorities.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 14 Dec 2010 12:23:00 +0000

mbarcode-core (0.2.6-2) unstable; urgency=low

  * Internal rearrangement to support variable video/image frame sized
  * Implement scan from image (not working yet)
  * Fix history list display of images just scanned

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 14 Dec 2010 10:08:00 +0000

mbarcode-core (0.2.6-1) unstable; urgency=low

  * Reduce startup time

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 8 Dec 2010 10:17:00 +0000

mbarcode-core (0.2.6-0) unstable; urgency=low

  * Give visual indication that we're scanning (green vs red line)
  * Stop OpenGL frame updates while shutter closed (mostly!) and while not in foreground
  * Limit number of times results window looks for new plugins to save energy

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thu, 18 Nov 2010 10:23:00 +0000

mbarcode-core (0.2.5-0) unstable; urgency=low

  * Add plugin settings dialog back in as a precursor to prioritising and disabling plugins.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 17 Nov 2010 23:20:00 +0000

mbarcode-core (0.2.4-0) unstable; urgency=low

  * Fixed bug with autoscanning being disabled after first successful scan.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 21:31:00 +0100

mbarcode-core (0.2.3-6) unstable; urgency=low

  * Add terminal error output for failed plugins
  * Add decode option for saved image files

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 15 Nov 2010 21:45:00 +0100

mbarcode-core (0.2.3-5) unstable; urgency=low

  * Rebuild push for PR1.3 and Qt4.7.
  * Fixed opengl dependency.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 15:41:00 +0100

mbarcode-core (0.2.3-4) unstable; urgency=low

  * Rebuild push for PR1.3 and Qt4.7.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 15:41:00 +0100

mbarcode-core (0.2.3-3) unstable; urgency=low

  * Results window plugin list now highlights once again when you tap it

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sun, 24 Oct 2010 19:24:00 +0100

mbarcode-core (0.2.3-2) unstable; urgency=low

  * Fix issue of timed scanning timer still running when results window is closed.
  * Set OpenGLES framerate low if lens shutter is closed at startup.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 20 Oct 2010 18:11:00 +0100

mbarcode-core (0.2.3-1) unstable; urgency=low

  * Make sure multi-line or non-printing data in the barcode is filtered out before display so it doesn't look odd.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 19 Oct 2010 20:54:00 +0100

mbarcode-core (0.2.3-0) unstable; urgency=low

  * more performance improvements, allow continuous or click to scan.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 19 Oct 2010 20:54:00 +0100

mbarcode-core (0.2.2-5) unstable; urgency=low

  * Move plugin loading to a thread to improve first scan performance.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 29 Sep 2010 14:19:00 +0100

mbarcode-core (0.2.2-4) unstable; urgency=low

  * Reverted back to old method.



=== debian/control ===
Source: mbarcode-core
Section: user/utilities 
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Uploaders: Svenn-Arne Dragly <s@dragly.com>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<=5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-dev, libgtk2.0-dev,
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<=5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<=5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-dev, mbarcode-dev, libgq-gconf-dev, libconic0-dev
Standards-Version: 3.7.2

Package: mbarcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.
    mBarcode is a barcode scanning app for the Maemo platform, which allows a user to scan
    1D (e.g. EAN/UPC barcodes) and look them up on different websites. You can also scan QR codes and Datamatrix codes and display the
    information contained therein. If the information is an URL, the browser will be opened
    for you, and if it's a VCARD it will be inserted into your contacts database.
    Other payloads will also be handled in the fullness of time!
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mbarcode
XB-Maemo-Icon-26:
    iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAQMAAABtzGvEAAAAAXNSR0IArs4c
    6QAAAAZQTFRF////AAAAVcLTfgAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
    SU1FB9kLBxQrHoSyJUkAAAEaSURBVBjTY2CAgPozFXmH/zE4+H3S62KCUX4+
    lRN+FTH4xfTv+wSkHK3XOBUxOMTZJBxiglH1l7au9f7HwCBbvKaDgcHC93Tz
    5gUMppvamJk3wSjPA7uYttkxsPFv83M+xFD9hsW5eAED736e5N17GOoKP/8z
    CYJRdrwdOXwJDPYPm2Ss1zGU7z8Rs7uJwcCpTemfEYwy3fQpp0yJgc/JfLGV
    HoOTclGh9SYG5jMfN31IglH+vT/8a3QYvHzdlM73MHgoWQR7bmJgP3hO+JwS
    Q/HCUzl2ejCKJanIuf8BA4OM5WcPJ4b68xsfceUxOPh2fqpIglF+zlbB9Q+A
    lGfjnjgGvwDGuyZxQL9z99sowKj6c7sfcj+ChiMAEh94eZ/+UpYAAAAASUVO
    RK5CYII=

## mbarcode-core 1.0.0-5

=== debian/changelog ===
mbarcode-core (1.0.0-5) maverick; urgency=low

  * Moved to Section: user/hidden

 -- Svenn-Arne Dragly <s@dragly.com>  Sun, 24 Apr 2011 01:48:28 +0200

## mbarcode-core 1.0.0-6

=== debian/changelog ===
mbarcode-core (1.0.0-6) maverick; urgency=low

  * Updating core package to autobuild again.

 -- Svenn-Arne <svenni@svubuntui7>  Mon, 25 Apr 2011 12:23:39 +0200

## mbarcode-core 1.0.2-0

=== debian/changelog ===
mbarcode-core (1.0.2-0) maverick; urgency=low

  * Bumping version numbers.

 -- Svenn-Arne <svenni@svubuntui7>  Mon, 25 Apr 2011 19:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mbarcode-core
-Section: user/utilities 
+Section: user/hidden 
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Uploaders: Svenn-Arne Dragly <s@dragly.com>
@@ -10,6 +10,7 @@
                 libqt4-dev, mbarcode-dev, libgq-gconf-dev, libconic0-dev
 Standards-Version: 3.7.2
 
+XSBC-Maemo-Display-Name: mBarcode core files
 Package: mbarcode
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode
builddir:
		mkdir -p builddir
        # to add more plugins to this package, create a builddir for each plugin and copy/paste all lines containing builddir-ii. Then change the dir name and the pro file.

builddir/Makefile: builddir
		cd builddir && qmake PREFIX=/usr ../mbarcode-qt.pro

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode-core 1.0.2-1

=== debian/changelog ===
mbarcode-core (1.0.2-1) maverick; urgency=low

  * Updated dependencies.

 -- Svenn-Arne <svenni@svubuntui7>  Tue, 26 Apr 2011 01:26:11 +0200

## mbarcode-core 1.0.2-2

=== debian/changelog ===
mbarcode-core (1.0.2-2) maverick; urgency=low

  * Mbarcode core update (no longer wrong package name).

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 10:43:17 +0200

## mbarcode-core 1.0.2-3

=== debian/changelog ===
mbarcode-core (1.0.2-3) maverick; urgency=low

  * Mbarcode core update (no longer wrong package name).

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 10:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
                 libqt4-dev, mbarcode-dev, libgq-gconf-dev, libconic0-dev
 Standards-Version: 3.7.2
 
-XSBC-Maemo-Display-Name: mBarcode core files
-Package: mbarcode
+Package: mbarcode-core
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
 Description: mBarcode is a 1D & 2D barcode scanning app for the Maemo platform.

## mbarcode-core 1.0.2-4

=== debian/changelog ===
mbarcode-core (1.0.2-4) maverick; urgency=low

  * Changed maemo-version dependency.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 16:35:04 +0200

## mbarcode-core 1.0.2-5

=== debian/changelog ===
mbarcode-core (1.0.2-5) maverick; urgency=low

  * Cleaned source tree before pushing.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 16:45:25 +0200

## mbarcode-core 1.0.2-6

=== debian/changelog ===
mbarcode-core (1.0.2-6) maverick; urgency=low

  * Changed folder name. 

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 17:19:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Uploaders: Svenn-Arne Dragly <s@dragly.com>
-Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<=5.0), libconic0-dev, 
+Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                 libgstreamer0.10-dev, libosso-dev, libgtk2.0-dev,
-                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<=5.0), libgstreamer-plugins-base0.10-dev,
-                libcurl3-dev, mce-dev | maemo-version (<=5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
+                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
+                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                 libqt4-dev, mbarcode-dev, libgq-gconf-dev, libconic0-dev
 Standards-Version: 3.7.2

## mbarcode-core 1.0.2-7

=== debian/changelog ===
mbarcode-core (1.0.2-7) maverick; urgency=low

  * Changed section to libs for promotion.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Apr 2011 18:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mbarcode-core
-Section: user/hidden 
+Section: libs 
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Uploaders: Svenn-Arne Dragly <s@dragly.com>

## mbarcode-core 1.0.2-8

=== debian/changelog ===
mbarcode-core (1.0.2-8) unstable; urgency=low

  * Add delay to pipeline stop in the case where focusing is currently underway.
    This is required to avoid the LEDs remaining on if the pipeline is paused during
    autofocus. Resolves bug #11712.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 28 May 2011 19:19:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mbarcode-core
-Section: libs 
+Section: libs
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Uploaders: Svenn-Arne Dragly <s@dragly.com>

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 
-APPNAME := mbarcode
+APPNAME := mbarcode-core
 builddir:
 		mkdir -p builddir
         # to add more plugins to this package, create a builddir for each plugin and copy/paste all lines containing builddir-ii. Then change the dir name and the pro file.

## mbarcode-core 1.0.3-0

=== debian/changelog ===
mbarcode-core (1.0.3-0) unstable; urgency=low

  * Add type, date and time to history list. Resolves bug #11920 though could be prettier.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 8 Jun 2011 21:38:00 +0100
